[tor-commits] [tor/master] Add make target test-network running traffic tests in a Chutney network.

nickm at torproject.org nickm at torproject.org
Sat Jun 29 20:02:23 UTC 2013


commit c82d7950ad9a1614a8f3929f53eaed572c9d9e2e
Author: Linus Nordberg <linus at torproject.org>
Date:   Wed Jun 5 15:48:57 2013 +0200

    Add make target test-network running traffic tests in a Chutney network.
    
    This implements ticket #8530.
---
 Makefile.am              |    4 ++++
 changes/bug8530          |    3 +++
 src/test/test-network.sh |   23 +++++++++++++++++++++++
 3 files changed, 30 insertions(+)

diff --git a/Makefile.am b/Makefile.am
index 4639c22..e9976fa 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -60,6 +60,10 @@ doxygen:
 test: all
 	./src/test/test
 
+# Requires a copy of Chutney in ./chutney
+test-network: all
+	./src/test/test-network.sh
+
 # Avoid strlcpy.c, strlcat.c, aes.c, OpenBSD_malloc_Linux.c, sha256.c,
 # eventdns.[hc], tinytest*.[ch]
 check-spaces:
diff --git a/changes/bug8530 b/changes/bug8530
new file mode 100644
index 0000000..f66b602
--- /dev/null
+++ b/changes/bug8530
@@ -0,0 +1,3 @@
+  o Enhancements
+    - Add make target 'test-network' running tests on a Chutney
+      network.
diff --git a/src/test/test-network.sh b/src/test/test-network.sh
new file mode 100755
index 0000000..eaecded
--- /dev/null
+++ b/src/test/test-network.sh
@@ -0,0 +1,23 @@
+#! /bin/sh
+
+CHUTNEY_BASEDIR=./chutney       # FIXME
+TOR_DIR=$(/bin/pwd)/src/or
+NETWORK_FLAVOUR=basic
+CHUTNEY_NETWORK=networks/$NETWORK_FLAVOUR
+myname=$(/usr/bin/basename $0)
+
+cd $CHUTNEY_BASEDIR || {
+    echo "$myname: missing chutney dir: $CHUTNEY_BASEDIR"
+    exit 1
+}
+PATH=$TOR_DIR:$PATH             # For picking up the right tor binary.
+./tools/bootstrap-network.sh $NETWORK_FLAVOUR || exit 2
+
+# Sleep some, waiting for the network to bootstrap.
+# TODO: Add chutney command 'bootstrap-status' and use that instead.
+BOOTSTRAP_TIME=18
+echo -n "$myname: sleeping for $BOOTSTRAP_TIME seconds"
+n=$BOOTSTRAP_TIME; while [ $n -gt 0 ]; do
+    /bin/sleep 1; n=$(/usr/bin/expr $n - 1); echo -n .
+done; echo ""
+./chutney verify $CHUTNEY_NETWORK





More information about the tor-commits mailing list